
QGIS Application - Bug report #20094

Extracting z-coordinates takes ages and makes the system unresponsive

2018-10-12 08:01 PM - Karl Kastner

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Geometry

Affected QGIS version:3.3(master) Regression?: No

Operating System: Ubuntu 18.04 Bionic Beaver Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27916

Description

qgis displays the sand-dial forever and other applications become unresponsive when z-coordinates are extracted.

Steps to reproduce:

1. Add vector layer segments.shp

2. Open attribute table

3. Open field calculator

4. output field name -> z

5. Expression -> z(start_point($geometry))

6. ok

Expected behaviour:

z values of start points should be added to the attribute table in a reasonable amount of time, say no longer than 30s for the example file

of about 26MB. At least a cancel button would be nice to stop pending operations.

Example shape-file downloadable at (compressed 9Mb): 

https://filesender.surf.nl/?s=download&#38;token=9cee5ba9-b49d-0b72-2c67-a993e09d6869

By the way, I register this issue from a new account as my old one is not accessible anymore. Password reset is not possible, due to the

error: "This account uses an external authentication source. Impossible to change the password."

Associated revisions

Revision 9d82df5d - 2018-10-13 03:40 PM - Alessandro Pasotti 

Forward to app blocking/unblocking of attr table updates

Fixes #20094 - Extracting z-coordinates takes ages and makes the system unresponsive

Revision 5defc030 - 2018-10-16 09:33 AM - Alessandro Pasotti 

Fix slow updates from field calculator

Fixes #20094

Followup 096b4ce
History

#1 - 2018-10-12 09:30 PM - Alessandro Pasotti

- Priority changed from Low to High

- Affected QGIS version changed from 2.18.17 to 3.3(master)

In addition to 2.18 this also affects master .

#2 - 2018-10-12 09:40 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2018-10-12 10:27 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR (master) https://github.com/qgis/QGIS/pull/8177

#4 - 2018-10-15 10:31 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|9d82df5d16ebb3e13dfc09e45307c6d1a7d1828a.

#5 - 2018-10-15 10:31 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

#6 - 2018-10-18 09:56 AM - Alessandro Pasotti

I've just merged a new PR that address this issue (and others) in a different way, please test the current master and give some feedback.

#7 - 2018-10-18 08:19 PM - Karl Kastner

It works with qgis 3.3.0-Master in Ubuntu 18.10 Cosmic Cuttlefish, the attribute editor opens somewhat slower than in qgis 2.8, but this is not really an

issue
